cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
Showing results for 
Search instead for 
Did you mean: 

Select specific Java JRE?

bmüller
13-Aquamarine

Select specific Java JRE?

Hi,

is there an option to set a specific JRE for Creo, Windchill, ...

We are limited to Java 7 because of Windchill 10.2. So I'd like to install Java 7 in a seperate Folder and use it only for Creo.

We are using the mozilla based browser.

br Bernhard

5 REPLIES 5
jessh
5-Regular Member
(To:bmüller)

I am a little out of the loop here, but I'm pretty sure that if you're at the right MOR/CPS/patch level of 10.2 then JRE 8 is supported.  If so, then getting to that MOR/CPS/patch level and moving to JRE 8 would be the recommended course of action.

I say that for 2 reasons:

  1. Oracle no longer provides security fixes for JRE 7 unless you purchase them -- and hasn't for over 2 years now.
  2. Juggling multiple JRE's on Windows has never been a smooth or solid process -- and it's thus recommended to retain only a single JRE (and for security, stability, and performance reasons to use the latest JRE possible).
Marco_Tosin
19-Tanzanite
(To:bmüller)

Take a look at this article: https://support.ptc.com/appserver/cs/view/solution.jsp?n=CS165748

Java 8 on client side (JRE):

  • For Windchill 10.2:
    • Supported as of the M030 Maintenance Release as well as in M020 CPS09
    • Requires Java 8 update 25 or later
    • To allow applets to run with Java 8, Windchill must be configured to use RMI tunneling:
      • In M030, this is enabled by default so no further configuration is necessary
      • In M020 CPS09 or higner CPS, set the following property in <Windchill>/codebase/wt.properties using the xconfmanager:
        • wt.rmi.clientSocketFactory=wt.boot.WTRMIMasterSocketFactory
      • Restart Windchill for the setting to take effect
      • For additional information on RMI Tunneling in Windchill, refer to the Windchill Help Center
Marco
bmüller
13-Aquamarine
(To:Marco_Tosin)

I know, I Know... we use 10.2 M010 -> JRE7

jessh
5-Regular Member
(To:Marco_Tosin)

So, yes, given an appropriate MOR/CPS level, 10.2 supports JRE 8 (and even 10.1 does given the right patch).

And the recommended solution would thus be to move to the appropriate MOR/CPS level and use JRE 8.

bmüller
13-Aquamarine
(To:jessh)

Hi,

for Creo you can select JRE with PRO_JAVA_COMMAND to e.g. C:\Program Files\Java\jre1.8.0_231\bin\java (don't add .exe)

 

https://www.ptc.com/en/support/article/CS111722

 

Windchill will use Browser default, but there are very few Java Applets left. afaik.

br Bernhard

Announcements